modules:
  default:
    lmod:
      # cuda:
      #   environment:
      #     unset:
      #     - CUDA_ROOT
      nvhpc+mpi@24.3:
        environment:
          set:
            HPCX_DIR: "{prefix}/Linux_x86_64/24.3/comm_libs/12.3/hpcx/hpcx-2.17.1"
            OPAL_PREFIX: "${HPCX_DIR}/ompi"
          prepend_path:
            LD_LIBRARY_PATH: "${HPCX_DIR}/ompi/lib"
            LD_LIBRARY_PATH: "${HPCX_DIR}/ucx/lib"
            LD_LIBRARY_PATH: "${HPCX_DIR}/ucx/lib/ucx"
            LD_LIBRARY_PATH: "${HPCX_DIR}/ucc/lib"
            LD_LIBRARY_PATH: "${HPCX_DIR}/ucc/lib/ucc"
            LD_LIBRARY_PATH: "${HPCX_DIR}/hcoll/lib"
            LD_LIBRARY_PATH: "${HPCX_DIR}/sharp/lib"
            LD_LIBRARY_PATH: "${HPCX_DIR}/nccl_rdma_sharp_plugin/lib"
            PATH: "${HPCX_DIR}/ucx/bin"
            PATH: "${HPCX_DIR}/ucc/bin"
            PATH: "${HPCX_DIR}/hcoll/bin"
            PATH: "${HPCX_DIR}/sharp/bin"
      nccl:
        environment:
          set:
            NCCL_HOME: "{prefix}"
      nvshmem:
        environment:
          set:
            NCCL_HOME: "{prefix}"
